Ask Your Question
0

Indigo is unable to launch RQT_plot

asked 2014-07-21 08:40:07 -0600

JM gravatar image

updated 2014-07-21 12:07:48 -0600

Hello,

I have attempted to launch rqt_plot on my machine running Ubuntu 14.04 and Indigo to no avail. I have also reinstalled rqt_plot and all its dependencies manually. When I attempt to run rqt_plot ROS spits back the following error

merciez@ln14ds7:~/catkin_ws$ rqt_plot
Traceback (most recent call last):
  File "/opt/ros/indigo/bin/rqt_plot", line 6, in <module>
    from rqt_plot.plot import Plot
  File "/opt/ros/indigo/lib/python2.7/dist-packages/rqt_plot/plot.py", line 43, in <module>
    from .data_plot import DataPlot
ImportError: No module named data_plot

I have replicated the same error on three different machines all running Ubuntu 14.04 and Indigo.

Any help is appreciated.

edit retag flag offensive close merge delete

3 Answers

Sort by ยป oldest newest most voted
1

answered 2014-07-21 13:34:26 -0600

ahendrix gravatar image

This should be fixed in the next release of rqt_plot; version 0.3.8

edit flag offensive delete link more
1

answered 2014-07-21 12:02:38 -0600

JM gravatar image

updated 2014-07-21 12:08:42 -0600

I just solved the problem with a hackish solution. Indigo apparently does not have data_plot installed for some strange reason. The solution I found was to take data_plot from Hydro and manually install into Indigo.

  1. Find Indigo's rqt_plot (/opt/ros/indigo/lib/python2.7/dist-packages/rqt_plot)
  2. Create a new folder called data_plot
  3. Download and unzip the rqt_common_plugins file from Hydro (h ttps://github.com/ros-visualization/rqt_common_plugins)
  4. Locate the Hydro data_plot folder from the rqt_common_plugins download (/rqt_common_plugins-groovy-devel/rqt_plot/src/rqt_plot) there should be 4 files inside __ init__.py, mat_data_plot.py, pytqtgraph_data_plot.py, and qwt_data_plot.py.
  5. Move the 4 Hydro data_plot files to the Indigo data_plot folder you created earlier
  6. Run rqt_plot

Note: you will have to use sudo to move the files to Indigo.

edit flag offensive delete link more
0

answered 2014-09-02 10:27:27 -0600

tysik gravatar image

I have similar problem on ROS Hydro (Ubuntu 12.04). When I run 'rqt_plot' i get the following error:

ImportError: numpy.core.multiarray failed to import
Traceback (most recent call last):
  File "/home/tysik/catkin_ws/devel/bin/rqt_plot", line 5, in <module>
    exec(fh.read())
  File "<string>", line 6, in <module>
  File "/home/tysik/catkin_ws/src/rqt_plot/rqt_plot/src/rqt_plot/plot.py", line 43, in <module>
    from .data_plot import DataPlot
  File "/home/tysik/catkin_ws/src/rqt_plot/rqt_plot/src/rqt_plot/data_plot/__init__.py", line 34, in <module>
    import numpy
  File "/usr/lib/python2.7/dist-packages/numpy/__init__.py", line 137, in <module>
    import add_newdocs
  File "/usr/lib/python2.7/dist-packages/numpy/add_newdocs.py", line 9, in <module>
    from numpy.lib import add_newdoc
  File "/usr/lib/python2.7/dist-packages/numpy/lib/__init__.py", line 13, in <module>
    from polynomial import *
  File "/usr/lib/python2.7/dist-packages/numpy/lib/polynomial.py", line 11, in <module>
    import numpy.core.numeric as NX
AttributeError: 'module' object has no attribute 'core'

ROS is configured properly. The solution given by JM didn't work for me. Removing and installing ROS again didn't help. Any ideas what might be possibly wrong?

edit flag offensive delete link more

Comments

It appears that the numpy package collides with openBLAS.

'sudo apt-get remove libopenblas-base' solved the problem.

tysik gravatar imagetysik ( 2014-09-03 04:33:26 -0600 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2014-07-21 08:20:53 -0600

Seen: 427 times

Last updated: Jul 21 '14